# Generated by Django 4.1.6 on 2023-03-20 22:58

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):
    dependencies = [
        ("employees", "0004_alter_workingcontract_options"),
    ]

    operations = [
        migrations.AlterModelOptions(
            name="workschedule",
            options={
                "verbose_name": "Work schedule",
                "verbose_name_plural": "Work schedules",
            },
        ),
        migrations.RenameField(
            model_name="workingcontract",
            old_name="special_holidays",
            new_name="holidays_special",
        ),
        migrations.RemoveField(
            model_name="employee",
            name="active_work_schedule",
        ),
        migrations.AddField(
            model_name="workingcontract",
            name="holidays_training",
            field=models.PositiveIntegerField(
                blank=True, null=True, verbose_name="Educational leave (days/year)"
            ),
        ),
        migrations.AlterField(
            model_name="workingcontract",
            name="employee",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                related_name="working_contracts",
                to="employees.employee",
            ),
        ),
    ]
